components {
  id: "physics"
  component: "/main/hero/scripts/physics.script"
  position {
    x: 0.0
    y: 0.0
    z: 0.0
  }
  rotation {
    x: 0.0
    y: 0.0
    z: 0.0
    w: 1.0
  }
}
embedded_components {
  id: "character"
  type: "sprite"
  data: "tile_set: \"/main/hero/assets/run.atlas\"\n"
  "default_animation: \"run\"\n"
  "material: \"/builtins/materials/sprite.material\"\n"
  "blend_mode: BLEND_MODE_ALPHA\n"
  ""
  position {
    x: 98.0
    y: 84.0
    z: -0.5
  }
  rotation {
    x: -0.0050091734
    y: 0.0
    z: 0.0
    w: 0.9999875
  }
  scale {
    x: 1.14
    y: 1.14
    z: 1.14
  }
}
embedded_components {
  id: "collisionobject"
  type: "collisionobject"
  data: "collision_shape: \"\"\n"
  "type: COLLISION_OBJECT_TYPE_KINEMATIC\n"
  "mass: 0.0\n"
  "friction: 0.1\n"
  "restitution: 0.5\n"
  "group: \"hero\"\n"
  "mask: \"bomb\"\n"
  "mask: \"coin\"\n"
  "mask: \"eye\"\n"
  "mask: \"heart\"\n"
  "mask: \"skull\"\n"
  "mask: \"slowness\"\n"
  "mask: \"speed\"\n"
  "mask: \"star\"\n"
  "mask: \"terrain\"\n"
  "embedded_collision_shape {\n"
  "  shapes {\n"
  "    shape_type: TYPE_SPHERE\n"
  "    position {\n"
  "      x: 100.0\n"
  "      y: 82.0\n"
  "      z: 0.0\n"
  "    }\n"
  "    rotation {\n"
  "      x: 0.0\n"
  "      y: 0.0\n"
  "      z: 0.0\n"
  "      w: 1.0\n"
  "    }\n"
  "    index: 0\n"
  "    count: 1\n"
  "  }\n"
  "  data: 30.0\n"
  "}\n"
  "linear_damping: 0.0\n"
  "angular_damping: 0.0\n"
  "locked_rotation: false\n"
  "bullet: false\n"
  ""
  position {
    x: 0.0
    y: 0.0
    z: 0.0
  }
  rotation {
    x: 0.0
    y: 0.0
    z: 0.0
    w: 1.0
  }
}
